Edit

Share via


Deployment Pipelines - List Deployment Pipeline Operations

Returns a list of the up-to-20 most recent deploy operations performed on the specified deployment pipeline.

Permissions

The caller must have an admin deployment pipelines role.

Required Delegated Scopes

Pipeline.Read.All or Pipeline.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/deploymentPipelines/{deploymentPipelineId}/operations
GET https://api.fabric.microsoft.com/v1/deploymentPipelines/{deploymentPipelineId}/operations?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
deploymentPipelineId
path True

string (uuid)

The deployment pipeline ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

DeploymentPipelineOperations

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred

Examples

List deployment pipeline operations example
List deployment pipeline operations with continuation example

List deployment pipeline operations example

Sample request

GET https://api.fabric.microsoft.com/v1/deploymentPipelines/a5ded933-57b7-41f4-b072-ed4c1f9d5824/operations

Sample response

{
  "value": [
    {
      "id": "1065e6a3-a020-4c0c-ada7-92b5fe99eec5",
      "type": "Deploy",
      "status": "Succeeded",
      "lastUpdatedTime": "2020-12-13T09:26:43.153",
      "executionStartTime": "2020-12-13T09:25:43.153Z",
      "executionEndTime": "2020-12-13T09:26:43.153Z",
      "sourceStageId": "2e6f0272-e809-410a-be63-50e1d97ba75a",
      "targetStageId": "d2056166-041c-4a56-8d37-ea90038bc0d6",
      "note": {
        "content": "Sample note"
      },
      "preDeploymentDiffInformation": {
        "newItemsCount": 0,
        "differentItemsCount": 0,
        "noDifferenceItemsCount": 1
      },
      "performedBy": {
        "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
        "type": "User"
      }
    },
    {
      "id": "7e113010-3264-41e4-93c1-1dfb34a93d06",
      "type": "Deploy",
      "status": "Failed",
      "lastUpdatedTime": "2020-12-14T09:26:43.153",
      "executionStartTime": "2020-12-14T09:25:43.153Z",
      "executionEndTime": "2020-12-13T09:26:43.153Z",
      "sourceStageId": "2e6f0272-e809-410a-be63-50e1d97ba75a",
      "targetStageId": "d2056166-041c-4a56-8d37-ea90038bc0d6",
      "note": {
        "content": "Lorem ipsum odor amet, consectetuer adipiscing elit. Himenaeos litora volutpat sem eget ipsum sollicitudin ad porta ligula tristique sapien suscipit magnis pulvinar placerat in vulputate aliquam mauris aptent velit phasellus netus fringilla ad taciti in himenaeos eu vitae feugiat et auctor class maximus urna integer erat amet efficitur ex tellus conubia lorem nam viverra cras magnis potenti pharetra natoque suscipit scelerisque eros adipiscing mollis sagittis habitasse ligula nullam rhoncus at scelerisque justo dolor pretium libero urna massa tristique diam viverra aenean mauris malesuada mus sed ultrices consectetur tristique pretium imperdiet vulputate ligula senectus pretium aenean inceptos id cras magna ut nisl etiam eget magna nibh feugiat duis imperdiet ut ornare arcu primis curae taciti purus quisque turpis lacus auctor ligula tristique placerat consectetur mus vitae penatibus varius proin ligula viverra diam neque at tortor porttitor urna ullamcorper ut nec lobortis porta urna egestas eu cursus ante ",
        "isTruncated": true
      },
      "preDeploymentDiffInformation": {
        "newItemsCount": 1,
        "differentItemsCount": 0,
        "noDifferenceItemsCount": 0
      },
      "performedBy": {
        "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
        "type": "User"
      }
    }
  ]
}

List deployment pipeline operations with continuation example

Sample request

GET https://api.fabric.microsoft.com/v1/deploymentPipelines/a5ded933-57b7-41f4-b072-ed4c1f9d5824/operations

Sample response

{
  "value": [
    {
      "id": "1065e6a3-a020-4c0c-ada7-92b5fe99eec5",
      "type": "Deploy",
      "status": "Succeeded",
      "lastUpdatedTime": "2020-12-13T09:26:43.153",
      "executionStartTime": "2020-12-13T09:25:43.153Z",
      "executionEndTime": "2020-12-13T09:26:43.153Z",
      "sourceStageId": "2e6f0272-e809-410a-be63-50e1d97ba75a",
      "targetStageId": "d2056166-041c-4a56-8d37-ea90038bc0d6",
      "note": {
        "content": "Sample note"
      },
      "preDeploymentDiffInformation": {
        "newItemsCount": 0,
        "differentItemsCount": 0,
        "noDifferenceItemsCount": 1
      },
      "performedBy": {
        "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
        "type": "User"
      }
    },
    {
      "id": "7e113010-3264-41e4-93c1-1dfb34a93d06",
      "type": "Deploy",
      "status": "Failed",
      "lastUpdatedTime": "2020-12-14T09:26:43.153",
      "executionStartTime": "2020-12-14T09:25:43.153Z",
      "executionEndTime": "2020-12-13T09:26:43.153Z",
      "sourceStageId": "2e6f0272-e809-410a-be63-50e1d97ba75a",
      "targetStageId": "d2056166-041c-4a56-8d37-ea90038bc0d6",
      "note": {
        "content": "Lorem ipsum odor amet, consectetuer adipiscing elit. Himenaeos litora volutpat sem eget ipsum sollicitudin ad porta ligula tristique sapien suscipit magnis pulvinar placerat in vulputate aliquam mauris aptent velit phasellus netus fringilla ad taciti in himenaeos eu vitae feugiat et auctor class maximus urna integer erat amet efficitur ex tellus conubia lorem nam viverra cras magnis potenti pharetra natoque suscipit scelerisque eros adipiscing mollis sagittis habitasse ligula nullam rhoncus at scelerisque justo dolor pretium libero urna massa tristique diam viverra aenean mauris malesuada mus sed ultrices consectetur tristique pretium imperdiet vulputate ligula senectus pretium aenean inceptos id cras magna ut nisl etiam eget magna nibh feugiat duis imperdiet ut ornare arcu primis curae taciti purus quisque turpis lacus auctor ligula tristique placerat consectetur mus vitae penatibus varius proin ligula viverra diam neque at tortor porttitor urna ullamcorper ut nec lobortis porta urna egestas eu cursus ante ",
        "isTruncated": true
      },
      "preDeploymentDiffInformation": {
        "newItemsCount": 1,
        "differentItemsCount": 0,
        "noDifferenceItemsCount": 0
      },
      "performedBy": {
        "id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
        "type": "User"
      }
    }
  ],
  "continuationToken": "LDEsMTAwMDAwLDA%3D",
  "continuationUri": "https://api.fabric.microsoft.com/v1/deploymentPipelines/a5ded933-57b7-41f4-b072-ed4c1f9d5824/operations?continuationToken=LDEsMTAwMDAwLDA%3D"
}

Definitions

Name Description
DeploymentPipelineOperation

A Fabric deployment pipeline operation.

DeploymentPipelineOperationNote

A note describing the deployment.

DeploymentPipelineOperations

A collection of Fabric deployment pipeline operations.

DeploymentPipelineOperationStatus

The deployment pipeline operation status. Additional statuses may be added over time.

DeploymentPipelineOperationType

The operation type. Additional types may be added over time.

EntireTenantPrincipal

Represents a tenant principal

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

GroupPrincipal

Represents a security group.

GroupType

The type of the group. Additional group types may be added over time.

PreDeploymentDiffInformation

The number of new, different and identical deployed items before deployment.

PrincipalType

The type of the principal. Additional principal types may be added over time.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

UserDetails

User principal specific details. Applicable when the principal type is User.

UserPrincipal

Represents a Microsoft Entra user principal.

DeploymentPipelineOperation

A Fabric deployment pipeline operation.

Name Type Description
executionEndTime

string (date-time)

The date and time that the operation ended.

executionStartTime

string (date-time)

The date and time that the operation started.

id

string (uuid)

The operation ID.

lastUpdatedTime

string (date-time)

The date and time that the operation was last updated.

note

DeploymentPipelineOperationNote

A note representing a description of the operation.

performedBy Principal:

The principal that performed the deployment pipeline operation.

preDeploymentDiffInformation

PreDeploymentDiffInformation

The number of deployed items in the source stage, that are new, identical or different to items in the target stage, before deployment.

sourceStageId

string (uuid)

The ID of a source deployment pipeline stage.

status

DeploymentPipelineOperationStatus

The deployment pipeline operation status. Additional statuses may be added over time.

targetStageId

string (uuid)

The ID of a target deployment pipeline stage.

type

DeploymentPipelineOperationType

The operation type. Additional types may be added over time.

DeploymentPipelineOperationNote

A note describing the deployment.

Name Type Description
content

string

Text describing the deployment.

isTruncated

boolean

Indicates whether the note content is truncated. True - the note content is truncated, False - the note content isn't truncated. Default value is false.

DeploymentPipelineOperations

A collection of Fabric deployment pipeline operations.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

DeploymentPipelineOperation[]

The collection of deployment pipeline operations.

DeploymentPipelineOperationStatus

The deployment pipeline operation status. Additional statuses may be added over time.

Value Description
NotStarted

Operation not started

Running

Operation running

Succeeded

Operation succeeded

Failed

Operation failed

DeploymentPipelineOperationType

The operation type. Additional types may be added over time.

Value Description
Deploy

Deploy content between stages.

EntireTenantPrincipal

Represents a tenant principal

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

EntireTenant

The type of the principal. Additional principal types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

Name Type Description
groupType

GroupType

The type of the group. Additional group types may be added over time.

GroupPrincipal

Represents a security group.

Name Type Description
displayName

string

The principal's display name.

groupDetails

GroupDetails

Group specific details. Applicable when the principal type is Group.

id

string (uuid)

The principal's ID.

type string:

Group

The type of the principal. Additional principal types may be added over time.

GroupType

The type of the group. Additional group types may be added over time.

Value Description
Unknown

Principal group type is unknown.

SecurityGroup

Principal is a security group.

DistributionList

Principal is a distribution list.

PreDeploymentDiffInformation

The number of new, different and identical deployed items before deployment.

Name Type Description
differentItemsCount

integer

The number of deployed items with differences between source and target stages, before deployment.

newItemsCount

integer

The number of new items deployed to the target stage.

noDifferenceItemsCount

integer

The number of identical deployed items in the source and target stages, before deployment.

PrincipalType

The type of the principal. Additional principal types may be added over time.

Value Description
User

Principal is a Microsoft Entra user principal.

ServicePrincipal

Principal is a Microsoft Entra service principal.

Group

Principal is a security group.

ServicePrincipalProfile

Principal is a service principal profile.

EntireTenant

Principal represents all tenant users.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

Name Type Description
aadAppId

string (uuid)

The service principal's Microsoft Entra AppId.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalDetails

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

type string:

ServicePrincipal

The type of the principal. Additional principal types may be added over time.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

Name Type Description
parentPrincipal Principal:

The service principal profile's parent principal.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalProfileDetails

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

type string:

ServicePrincipalProfile

The type of the principal. Additional principal types may be added over time.

UserDetails

User principal specific details. Applicable when the principal type is User.

Name Type Description
userPrincipalName

string

The user principal name.

UserPrincipal

Represents a Microsoft Entra user principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

User

The type of the principal. Additional principal types may be added over time.

userDetails

UserDetails

User principal specific details. Applicable when the principal type is User.